Upgraded to 3.9 Wallet have errors